libzypp 17.37.10

zypp::SpinLock Class Reference

## Public Member Functions
void | lock ()
void | unlock ()

## Private Attributes
std::atomic_flag | _atomicLock = ATOMIC_FLAG_INIT

## Detailed Description

Definition at line 66 of file LogControl.cc.

## Member Function Documentation

## ◆ lock()

void zypp::SpinLock::lock | ( |  | ) |
| inline

Definition at line 68 of file LogControl.cc.

## ◆ unlock()

void zypp::SpinLock::unlock | ( |  | ) |
| inline

Definition at line 75 of file LogControl.cc.

## Member Data Documentation

## ◆ _atomicLock

std::atomic_flag zypp::SpinLock::_atomicLock = ATOMIC_FLAG_INIT
| private

Definition at line 81 of file LogControl.cc.

The documentation for this class was generated from the following file:

- zypp-core/base/LogControl.cc